Debian Bug report logs - #169226
gdm: Upgrade to gtk2 linked version

version graph

Package: gdm; Maintainer for gdm is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Daniele Cruciani <crxop@tiscali.it>

Date: Fri, 15 Nov 2002 14:33:05 UTC

Severity: wishlist

Tags: pending, sid

Merged with 147637, 155638, 189787

Found in versions 2.2.5.5-2, 2.4.1.3-2

Fixed in version gdm/2.4.1.3-1

Done: Ryan Murray <rmurray@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#169226; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Daniele Cruciani <crxop@tiscali.it>:
New Bug report received and forwarded. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniele Cruciani <crxop@tiscali.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdm: Upgrade to gtk2 linked version
Date: Fri, 15 Nov 2002 15:31:02 +0100
Package: gdm
Version: 2.2.5.5-2
Severity: normal

It should be version 2.4 that is linked to new gtk2 libraries.
This would increase shared memory in a gnome2 env.
Thanks.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux travel-crux 2.4.19 #2 Mon Sep 23 02:32:56 CEST 2002 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages gdm depends on:
ii  adduser                     3.48         Add and remove users and groups
ii  debconf                     1.2.15       Debian configuration management sy
ii  dpkg                        1.10.9       Package maintenance system for Deb
ii  gdk-imlib1                  1.9.14-11    imaging library for use with gtk (
ii  libart2                     1.4.2-8      The GNOME canvas widget - runtime 
ii  libaudiofile0               0.2.3-4      The Audiofile Library
ii  libc6                       2.3.1-3      GNU C Library: Shared libraries an
ii  libdb3                      3.2.9-17     Berkeley v3 Database Libraries [ru
ii  libesd0                     0.2.28-2     Enlightened Sound Daemon - Shared 
ii  libgdk-pixbuf2              0.21.0-1     The GdkPixBuf library.
ii  libglade-gnome0             1:0.17-2.7   Library to load .glade files at ru
ii  libglade0                   1:0.17-2.7   Library to load .glade files at ru
ii  libglib1.2                  1.2.10-6     The GLib library of C routines
ii  libgnome32                  1.4.2-8      The GNOME libraries
ii  libgnomesupport0            1.4.2-8      The GNOME libraries (Support libra
ii  libgnomeui32                1.4.2-8      The GNOME libraries (User Interfac
ii  libgtk1.2                   1.2.10-14    The GIMP Toolkit set of widgets fo
ii  libjpeg62                   6b-6         The Independent JPEG Group's JPEG 
ii  libpam-modules              0.76-7       Pluggable Authentication Modules f
ii  libpam0g                    0.76-7       Pluggable Authentication Modules l
ii  libpng2                     1.0.12-6     PNG library - runtime
ii  libtiff3g                   3.5.7-1      Tag Image File Format library
ii  libungif4g                  4.1.0b1-3    shared library for GIF images (run
ii  libwrap0                    7.6-ipv6.1-3 Wietse Venema's TCP wrappers libra
ii  libxml1                     1:1.8.17-2   GNOME XML library
ii  scrollkeeper                0.3.11-2     A free electronic cataloging syste
ii  xlibs                       4.2.1-3      X Window System client libraries
ii  zlib1g                      1:1.1.4-6    compression library - runtime

-- debconf information:
  gdm/daemon_name: /usr/bin/gdm
* shared/default-x-display-manager: gdm




Severity set to `wishlist'. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 147637 169226. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 147637 155638 169226. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 147637 155638 169226. Request was from Graham Wilson <bob@decoy.wox.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#169226; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Daniele Cruciani <crxop@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #18 received at 169226@bugs.debian.org (full text, mbox):

From: Daniele Cruciani <crxop@tiscali.it>
To: 169226@bugs.debian.org, rmurray@debian.org, kov@debian.org
Subject: Re: Bug#169226: Acknowledgement (gdm: Upgrade to gtk2 linked version)
Date: Mon, 13 Jan 2003 11:49:15 +0100
Package of new gdm is at

http://people.debian.org/~kov/debian/dists/woody/gnome2/binary-i386/

files:

 gdm2_2.4.0.11-1.diff.gz
 gdm2_2.4.0.11-1.dsc
 gdm2_2.4.0.11-1_i386.changes
 gdm2_2.4.0.11-1_i386.deb
 gdm2_2.4.0.11.orig.tar.gz

Could those be uploaded to debian/sid?

(packages maintained by kov)



Daniele.



Information forwarded to debian-bugs-dist@lists.debian.org, gdm@packages.qa.debian.org:
Bug#169226; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Ryan Murray <rmurray@debian.org>:
Extra info received and forwarded to list. Copy sent to gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #23 received at 169226@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: Daniele Cruciani <crxop@tiscali.it>, 169226@bugs.debian.org
Cc: kov@debian.org
Subject: Re: Bug#169226: Acknowledgement (gdm: Upgrade to gtk2 linked version)
Date: Mon, 13 Jan 2003 03:19:05 -0800
[Message part 1 (text/plain, inline)]
On Mon, Jan 13, 2003 at 11:49:15AM +0100, Daniele Cruciani wrote:
> Could those be uploaded to debian/sid?

I'd like to see gnome2 build from source before I'll be uploading any.  NMUs
of gdm are not appreciated.

-- 
Ryan Murray, Debian Developer (rmurray@cyberhqz.com, rmurray@debian.org)
The opinions expressed here are my own.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#169226; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Gustavo Noronha Silva <kov@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #28 received at 169226@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <kov@debian.org>
To: Daniele Cruciani <crxop@tiscali.it>
Cc: 169226@bugs.debian.org, rmurray@debian.org
Subject: Re: Bug#169226: Acknowledgement (gdm: Upgrade to gtk2 linked version)
Date: Mon, 13 Jan 2003 19:56:16 -0200
Em Mon, 13 Jan 2003 11:49:15 +0100, Daniele Cruciani <crxop@tiscali.it>
escreveu:

> Package of new gdm is at
> 
> http://people.debian.org/~kov/debian/dists/woody/gnome2/binary-i386/
> 
> files:
> 
>  gdm2_2.4.0.11-1.diff.gz
>  gdm2_2.4.0.11-1.dsc
>  gdm2_2.4.0.11-1_i386.changes
>  gdm2_2.4.0.11-1_i386.deb
>  gdm2_2.4.0.11.orig.tar.gz
> 
> Could those be uploaded to debian/sid?
> 
> (packages maintained by kov)

I actually just backported them, these're by no means packages that
should be uploaded to sid. There are some other repositories, though.

I would really want to see gdm going to gdm2 soon, it should not
break anything, because gnome1.4 could continue being launched, even
through gdm2, but that's up to its maintainer.

[]s!

-- 
kov@debian.org: Gustavo Noronha <http://people.debian.org/~kov>
Debian: <http://www.debian.org>  *  <http://www.debian-br.org>
Dúvidas sobre o Debian? Visite o Rau-Tu: http://rautu.cipsga.org.br



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#169226; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Daniele Cruciani <crxop@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #33 received at 169226@bugs.debian.org (full text, mbox):

From: Daniele Cruciani <crxop@tiscali.it>
To: Gustavo Noronha Silva <kov@debian.org>, 169226@bugs.debian.org, rmurray@debian.org
Subject: Re: Bug#169226: Acknowledgement (gdm: Upgrade to gtk2 linked version)
Date: Tue, 14 Jan 2003 12:35:15 +0100
On Mon, Jan 13, 2003 at 07:56:16PM -0200, Gustavo Noronha Silva wrote:
> Em Mon, 13 Jan 2003 11:49:15 +0100, Daniele Cruciani <crxop@tiscali.it>
> escreveu:
> 
> > Package of new gdm is at
> > 
> > http://people.debian.org/~kov/debian/dists/woody/gnome2/binary-i386/
> > 
> > files:
> > 
> >  gdm2_2.4.0.11-1.diff.gz
> >  gdm2_2.4.0.11-1.dsc
> >  gdm2_2.4.0.11-1_i386.changes
> >  gdm2_2.4.0.11-1_i386.deb
> >  gdm2_2.4.0.11.orig.tar.gz
> > 
> > Could those be uploaded to debian/sid?
> > 
> > (packages maintained by kov)
> 
> I actually just backported them, these're by no means packages that
> should be uploaded to sid. There are some other repositories, though.
> 
> I would really want to see gdm going to gdm2 soon, it should not
> break anything, because gnome1.4 could continue being launched, even
> through gdm2, but that's up to its maintainer.

does this:
http://ftp.gnome.org/pub/GNOME/desktop/2.1/2.1.90/sources/gdm-2.4.1.0.tar.gz

is the right package? it's for gnome2.1 but it should be ok for
gnome2, I don't know nothing about gnome1.4 but this bug should be
reported to upstream maintainer. BTW, gdm2 consume less memory if
gnome2 is launched (most is shared memory), while (i think) gdm
consume less memory in a gnome1.4 environment.

I think that debian should release only gnome2, at least from when
gnome2.2 is released: most package are ported to gtk2/gnome2 some
package: licq, gaim, galeon and evolution still use gtk1.2/gnome1.4
but the porting is in going on (I use galeon-snapshot right now).
Also, all gnome1.4 apps run in gnome2, so why there should be gnome1.4
launchable by gdm, it's like saying kde2.2 should be installable
together with kde3



Daniele.



Merged 147637 155638 169226 189787. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ryan Murray <rmurray@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniele Cruciani <crxop@tiscali.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 147637-close@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: 147637-close@bugs.debian.org
Subject: Bug#147637: fixed in gdm 2.4.1.3-1
Date: Mon, 28 Apr 2003 16:32:42 -0400
We believe that the bug you reported is fixed in the latest version of
gdm, which is due to be installed in the Debian FTP archive:

gdm_2.4.1.3-1.diff.gz
  to pool/main/g/gdm/gdm_2.4.1.3-1.diff.gz
gdm_2.4.1.3-1.dsc
  to pool/main/g/gdm/gdm_2.4.1.3-1.dsc
gdm_2.4.1.3-1_i386.deb
  to pool/main/g/gdm/gdm_2.4.1.3-1_i386.deb
gdm_2.4.1.3.orig.tar.gz
  to pool/main/g/gdm/gdm_2.4.1.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 147637@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Murray <rmurray@debian.org> (supplier of updated gdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 28 Apr 2003 11:47:58 -0700
Source: gdm
Binary: gdm
Architecture: source i386
Version: 2.4.1.3-1
Distribution: unstable
Urgency: low
Maintainer: Ryan Murray <rmurray@debian.org>
Changed-By: Ryan Murray <rmurray@debian.org>
Description: 
 gdm        - GNOME Display Manager
Closes: 60890 108732 114933 117652 121889 136695 141184 142539 145895 147637 151628 155335 162353 164103 167322 169645 174708 175405 179814 186436 189238
Changes: 
 gdm (2.4.1.3-1) unstable; urgency=low
 .
   * New upstream release (closes: #147637)
     + gdm no longer blocks SIGCHLD (closes: #141184)
     + updated desktop files (closes: #175405)
     + clean rule less aggressive (closes: #108732)
     + gdm doesn't open any tty that already has a getty running on it
       (closes: #60890)
     + gdmconfig now works (closes: #145895, #189238)
     + gdm deals gracefully with missing sessions (closes: #169645)
     + gdm's error messages are clearer (closes: #114933)
     + username fields are limited (closes: #162353)
     + LANG isn't changed if the menu isn't used (closes: #151628)
   * Update debconf template translations from current xdm package
     (closes: #174708, #142539)
   * Create system group rather than user group (closes: #167322)
   * Use a locale configuration file based on all glibc supported locales
     (closes: #117652, #121889, #136695)
   * Set $PWD to $HOME, which makes shells happier when $HOME is a
     symlink (closes: #179814)
   * Remove conflicts from potato (closes: #186436)
   * remove scrollkeeper handling as it is no longer needed
     (closes: #164103)
   * no longer use login shell to start session script, as having *dm logins
     be a login shell suprises users, as no other *dm does so (closes: #155335)
   * add a conflict with gdm2
   * Change section to gnome
Files: 
 dbdbcf146656ef401178f6904b91be55 630 gnome optional gdm_2.4.1.3-1.dsc
 f9bcd01169db831febb6bf16dc8f65dd 2897175 gnome optional gdm_2.4.1.3.orig.tar.gz
 b9cb5742cfab18c80d1fb602e86b61e0 68660 gnome optional gdm_2.4.1.3-1.diff.gz
 f456795fd179ac85e1449883545722d7 1499052 gnome optional gdm_2.4.1.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+rXgRN2Dbz/1mRasRAhJxAKD7QDBTZbbxKhgh5VW+CqTaWd52uQCggbEL
73phNdQvp+E2ui0pU5UzOCM=
=5Rly
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:08:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.